#!/bin/sh
# Linkat WebApps - crear_credencials.sh
lwa_template="/srv/www/webapps/credentials.php.template"
lwa_credentials="/srv/www/webapps/credentials.php"

lwa_dbuser="webapps"
lwa_dbpass=`cat /dev/urandom | tr -cd "a-zA-Z0-9" | head -c8`
lwa_dbname="localhost"
lwa_moodle_db="lwa_moodle"
lwa_intraweb_db="lwa_intraweb"

sql_string="CREATE DATABASE IF NOT EXISTS $lwa_moodle_db CHARACTER SET='utf8';CREATE DATABASE IF NOT EXISTS $lwa_intraweb_db CHARACTER SET='utf8'; GRANT ALL ON $lwa_moodle_db.* TO '$lwa_dbuser'@'$lwa_dbname' IDENTIFIED BY '$lwa_dbpass'; GRANT ALL ON $lwa_intraweb_db.* TO '$lwa_dbuser'@'$lwa_dbname';FLUSH PRIVILEGES;"

if [ -n "$DISPLAY" ] ; then
	PASSWD=`zenity --entry --hide-text --text="Introdueixi la contrasenya root del MySQL:" 2> /dev/null` 
else
	echo "Introdueixi la contrasenya root del MySQL:"
	read PASSWD
fi
mysql -u root -p$PASSWD -e "$sql_string"
#echo "mysql -u root -p $PASSWD -e $sql_string"
if [ $? -eq 0 ];
then
	cp $lwa_template $lwa_credentials
	sed -i "s/__TEMPLATE_DBUSER__/$lwa_dbuser/g" $lwa_credentials 
	sed -i "s/__TEMPLATE_DBPASS__/$lwa_dbpass/g" $lwa_credentials
	sed -i "s/__TEMPLATE_DBNAME__/$lwa_dbname/g" $lwa_credentials
	sed -i "s/__TEMPLATE_MOODLE_DB__/$lwa_moodle_db/g" $lwa_credentials 
	sed -i "s/__TEMPLATE_INTRAWEB_DB__/$lwa_intraweb_db/g" $lwa_credentials
else
	if [ -n "$DISPLAY" ] ; then
		zenity --error --text="Hi ha hagut algun error durant l'execució de l'script" 2&> /dev/null
	else
		echo "Hi ha hagut algun error durant l'execució de l'script"
	fi
fi
